0

I can't open my Eclipse. When I am opening it from terminal, it shows me the following error:

(java:3312): GLib-GObject-WARNING **: cannot register existing type `GdkDisplayManager'

(java:3312): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

(java:3312): GLib-GObject-CRITICAL **: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed

(java:3312): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(java:3312): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(java:3312): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(java:3312): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(java:3312): GLib-GObject-WARNING **: cannot register existing type `GdkDisplay'

(java:3312): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

(java:3312): GLib-GObject-CRITICAL **: g_type_register_static: assertion `parent_type > 0' failed

(java:3312): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

(java:3312): GLib-GObject-CRITICAL **: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007f10648bfd41, pid=3312, tid=139708783437568
#
# JRE version: 7.0_21-b02
# Java VM: OpenJDK 64-Bit Server VM (23.7-b01 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [libgdk-x11-2.0.so.0+0x4fd41]  gdk_display_open+0x41
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# /home/jay/hs_err_pid3312.log
#
# If you would like to submit a bug report, please include
# instructions on how to reproduce the bug and visit:
#   https://bugs.launchpad.net/ubuntu/+source/openjdk-7/
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

What is the solution?

0

Here is a Bug Report which might be related to your problem: https://bugs.eclipse.org/bugs/show_bug.cgi?id=394227. You should try the -noSplash command line parameter.

Another possibility is that you need to set the GTK+ version to 2 in eclipse.ini. You have to add this line to the configuration file:

--launcher.GTK_version 2

  • thank you a lot meskobalazs.....i could opened eclipse using "eclipse -noSplash".but what was the problem?? – Jay Dabhi Aug 13 '14 at 13:16
  • I don't know exactly, but it is caused by a bug in Eclipse; older versions does not play well with GTK3 – meskobalazs Aug 13 '14 at 13:18

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.